> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of contracts

> Get a list of all contracts created by a specific client.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="contracts" type="string">
  Array of contracts.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>

    <ResponseField name="contractKey" type="string">
      ID of the contract.
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the contract.
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the contract.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/contract' \ 
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{ 
            "data": {
  				   "action": "list",
  				   "clientKey": "YOUR_CLIENT_KEY"
  				  }
       }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  	{
         "contracts": [

          {
              "createTime": "2024-11-25T08:07:23.000Z",
              "changeTime": "2024-11-25T08:07:25.000Z",
              "contractKey": "93447fb5-91ee-41ad-9f73-b4ae2d467292",
              "name": "IPPDF",
              "status": "Created"
          },
          {
              "createTime": "2024-11-18T13:27:21.000Z",
              "changeTime": "2024-11-21T11:29:47.000Z",
              "contractKey": "ac2a37e8-d5d6-4468-b1bb-29152a31d85d",
              "name": "A test contract",
              "status": "Created"
          }
          ],
         "code": "200",
         "message": "Contracts found"
      } 
  ```
</ResponseExample>
